cstr.c File Reference
`#include "ruby.h"`

Go to the source code of this file.

## Functions

static VALUE | bug_str_cstr_term (VALUE str)
void | Init_cstr (VALUE klass)

## Function Documentation

static VALUE bug_str_cstr_term | ( | VALUE | str | ) |

static

Definition at line 4 of file cstr.c.

References INT2NUM(), len, rb_gc(), rb_str_modify(), RSTRING_LEN, RSTRING_PTR, and StringValueCStr.

Referenced by Init_cstr().

void Init_cstr | ( | VALUE | klass | ) |

Definition at line 17 of file cstr.c.

References bug_str_cstr_term(), and rb_define_method().